Package org.eclipse.ltk.core.refactoring

## Class TextEditChangeGroup

- java.lang.Object
- - org.eclipse.ltk.core.refactoring.TextEditBasedChangeGroup
  - - org.eclipse.ltk.core.refactoring.TextEditChangeGroup

    public class TextEditChangeGroup
    extends TextEditBasedChangeGroup

This class is a wrapper around a `TextEditGroup` adding support for marking a group as active and inactive.

Note: this class is not intended to be extended by clients.

Since:
  3.0
See Also:
  `TextEditGroup`
Restriction:
  This class is not intended to be subclassed by clients.

### Constructor Summary

Constructors
`TextEditChangeGroup​(TextChange change, TextEditGroup group)` Creates new `TextEditChangeGroup` for the given `TextChange` and `TextEditGroup`.

### Method Summary

All Methods Instance Methods Concrete Methods
`TextChange` `getTextChange()` Returns the text change this group belongs to.

### Methods inherited from class org.eclipse.ltk.core.refactoring.TextEditBasedChangeGroup

`getGroupCategorySet, getName, getRegion, getTextEditChange, getTextEditGroup, getTextEdits, isEnabled, setEnabled`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TextEditChangeGroup

    public TextEditChangeGroup​(TextChange change,
                               TextEditGroup group)

Creates new `TextEditChangeGroup` for the given `TextChange` and `TextEditGroup`.

Parameters:
  `change` - the change owning this text edit change group
  `group` - the underlying text edit group

### Method Detail

#### getTextChange

    public TextChange getTextChange()

Returns the text change this group belongs to.

Returns:
  the text change this group belongs to